;+
; hist2perc(pdf_x, pdf_y, nperc) -- funkcja zwracajca nperc percentyli 
;   dla rozkadu prawdopodobiestwa opisanego tablicami pdf_x i pdf_y
;-
function hist2perc, pdf_x, pdf_y, nperc
  
  ; utworzenie dyskretnej reprezentacji dystrybuanty (cdf)
  cdf_y = [[0], total(pdf_y, /cumulative)]
  cdf_x = [pdf_x[0], pdf_x + pdf_x[1] - pdf_x[0]]   
  
  ; wyliczenie percentyli na podstawie liniowej interpolacji dystrybuanty
  return, interpol(cdf_x, cdf_y, dindgen(nperc)/(nperc-1)) 

end
