;+
; MPDM Zadanie 4.1 - Momenty statystyczne i percentyle rozkadu wartoci temp.
;-
pro zad4_1, count, offset, binsize=binsize, nperc=nperc
  
  ; pobranie z pliku serii czasowej wartoci temperatury (count rekordw od offset) 
  nc_meteo = obj_new("netcdf", "meteo_niederoeblarn.nc")
  T = nc_meteo->var_get("T")
  obj_destroy, nc_meteo
  T = T[offset : offset + count - 1]

  ; wyliczenie minimum, maksimum, redniej, odchylenia standardowego i mediany rozkadu:
  print, "min(T) = ", min(T, max=max)
  print, "max(T) = ", max
  print, "mean(T) = ", mean(T)
  print, "stddev(T) = ", stddev(T)
  print, "median(T) = ", median(T)
  
  ; utworzenie (znormalizowanego) histogramu wartoci (dyskretnej repr. funkcji gstoci prawdop.)
  pdf_y = histogram(T, binsize=binsize, locations=pdf_x) * 1d / n_elements(T)
  ;plot, pdf_x + .5 * binsize, pdf_y, psym=10, thick=4.

  ; wyznaczenie nperc percentyli rozkadu
  print, "hist2perc(T) = ", hist2perc(pdf_x, pdf_y, nperc)

  ; sprawdzenie pracy domowej (zad4.3D):
  ;pdf2_y = perc2hist(hist2perc(pdf_x, pdf_y, nperc), n_elements(pdf_x), locations=pdf2_x)
  ;oplot, pdf2_x + .5 * binsize, pdf2_y, psym=10

end
